%define upstream_name    Log-Dispatch
%define upstream_version 2.70

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl modules for logging messages to multiple outputs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::ValidationCompiler)
BuildRequires: perl(PerlIO)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio) >= 0.320.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::Numeric)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Sys::Syslog) >= 0.280.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Log::Dispatch is a suite of OO modules for logging messages to multiple
outputs, each of which can have a minimum and maximum log level.  It is
designed to be easily subclassed, both for creating a new dispatcher object and
particularly for creating new outputs.

%package ApacheLog
Summary:    Apache mod_perl dispatcher for Log::Dispatch
Group:      Development/Perl

%description ApacheLog
Log::Dispatch::ApacheLog is a dispatcher for apache logging, used with
mod_perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Log
%exclude %{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%exclude %{_mandir}/*/Log::Dispatch::ApacheLog*
%{_mandir}/*/*

%files ApacheLog
%{perl_vendorlib}/Log/Dispatch/ApacheLog.pm
%{_mandir}/*/Log::Dispatch::ApacheLog*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.700.0-2.mga9
+ Revision: 1820327
- Mageia 9 Mass Rebuild

* Tue Jul 21 2020 tv <tv> 2.700.0-1.mga8
+ Revision: 1607550
- update to 2.70

* Mon Feb 17 2020 umeabot <umeabot> 2.690.0-2.mga8
+ Revision: 1537168
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 tv <tv> 2.690.0-1.mga8
+ Revision: 1455937
- update to 2.69

* Thu Sep 20 2018 umeabot <umeabot> 2.680.0-2.mga7
+ Revision: 1284516
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 tv <tv> 2.680.0-1.mga7
+ Revision: 1253480
- update to 2.68

* Tue Oct 03 2017 tv <tv> 2.670.0-2.mga7
+ Revision: 1165272
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.670.0-1.mga7
+ Revision: 1159196
- update to 2.67

* Tue Sep 19 2017 tv <tv> 2.660.0-1.mga7
+ Revision: 1155611
- update to 2.66

* Fri Jul 28 2017 shlomif <shlomif> 2.650.0-1.mga7
+ Revision: 1131967
- New version 2.65

* Sun May 08 2016 shlomif <shlomif> 2.560.0-1.mga6
+ Revision: 1010673
- update to 2.56

* Wed Feb 10 2016 shlomif <shlomif> 2.540.0-1.mga6
+ Revision: 953360
- update to 2.54

* Sat Jan 16 2016 shlomif <shlomif> 2.530.0-1.mga6
+ Revision: 923814
- update to 2.53

* Mon Sep 28 2015 sander85 <sander85> 2.510.0-1.mga6
+ Revision: 884670
- update to 2.51

* Sun Sep 06 2015 sander85 <sander85> 2.500.0-1.mga6
+ Revision: 873521
- update to 2.50

* Sun Aug 23 2015 sander85 <sander85> 2.490.0-1.mga6
+ Revision: 868432
- update to 2.49

* Thu Aug 13 2015 sander85 <sander85> 2.480.0-1.mga6
+ Revision: 864393
- update to 2.48

* Sun Jul 05 2015 sander85 <sander85> 2.450.0-1.mga6
+ Revision: 851293
- update to 2.45

* Wed Oct 15 2014 umeabot <umeabot> 2.420.0-3.mga5
+ Revision: 745587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.420.0-2.mga5
+ Revision: 685260
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 sander85 <sander85> 2.420.0-1.mga5
+ Revision: 662218
- update to 2.42

* Sat Oct 19 2013 umeabot <umeabot> 2.410.0-2.mga4
+ Revision: 530331
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.410.0-1.mga4
+ Revision: 457273
- update to 2.41

* Sun Jun 02 2013 kharec <kharec> 2.390.0-1.mga4
+ Revision: 435049
- update to 2.39

* Sun Jan 13 2013 umeabot <umeabot> 2.340.0-2.mga3
+ Revision: 369217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.340.0-1.mga3
+ Revision: 342361
- update to 2.34

* Tue Jun 05 2012 jquelin <jquelin> 2.320.0-1.mga3
+ Revision: 255078
- update to 2.32

* Thu Mar 24 2011 jquelin <jquelin> 2.290.0-1.mga1
+ Revision: 76640
- update to 2.29

* Sun Jan 23 2011 jquelin <jquelin> 2.280.0-1.mga1
+ Revision: 33923
- mageia rebuild
- imported package perl-Log-Dispatch


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.280.0-1mdv2011.0
+ Revision: 622843
- update to new version 2.28

* Sat Nov 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.270.0-1mdv2011.0
+ Revision: 597077
- new version

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 2.260.0-1mdv2011.0
+ Revision: 447605
- update to 2.26

* Wed Sep 16 2009 Jérôme Quelin <jquelin@mandriva.org> 2.250.0-1mdv2010.0
+ Revision: 443473
- update to 2.25

* Mon Sep 14 2009 Jérôme Quelin <jquelin@mandriva.org> 2.240.0-1mdv2010.0
+ Revision: 439438
- update to 2.24

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.230.0-1mdv2010.0
+ Revision: 438655
- update to new version 2.23

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.220.0-1mdv2010.0
+ Revision: 403394
- rebuild using %%perl_convert_version

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.22-1mdv2009.1
+ Revision: 302849
- update to new version 2.22

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.21-4mdv2009.0
+ Revision: 257668
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.21-3mdv2009.0
+ Revision: 245706
- rebuild

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 2.21-1mdv2008.1
+ Revision: 163387
- update to new version 2.21

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20-1mdv2008.1
+ Revision: 105553
- update to new version 2.20

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.0
+ Revision: 47694
- update to new version 2.18

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdv2008.0
+ Revision: 20234
- 2.17
- kill patch0, no longer need


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdv2007.0
- new version
- Module::Build-based build

* Wed Apr 19 2006 Michael Scherer <misc@mandriva.org> 2.11-4mdk
- split Log::Dispatch::ApacheLog from main package, as it pulls 
  mod_perl, which pulls apache, which is a server.
- convert to new policy ( ie, use perl(Foo) for buildRequires )
- enhance summary

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 2.11-3mdk
- mkrel

* Tue Sep 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.11-2mdk
- fix deps

* Mon Aug 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.11-1mdk
- 2.11

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- fix install
- fix perms

